! Calculeaza x din: S*x =y
! Prin substitutie inapoi
! Matricea L =I; Vectorul 'y' ='b'.
! 'x' stocat in 'b'
!
subroutine back(n, s,b)
implicit real(8) (a-h, o-z)

real(8) s(n*(n+1)/2), b(n)
real(8) sik, sii

! i=n:
b(n) =b(n)/s(loca(n,n))

A_DO: do i =n-1,1,-1
xi =0.
	do k =i+1, n
	xk =b(k)
	sik =s(loca(i,k))
	xi =xi +sik*xk
	enddo
yi =b(i)

sii =s(loca(i,i))
xi =(yi -xi)/sii
b(i) =xi
ENDDO A_DO

END subroutine back

